package com.hzya.frame.ttxofs.basics;

import com.hzya.frame.ttxofs.dto.kit.OfsKitOrderSearchResponse;
import com.hzya.frame.ttxofs.dto.ofsBaseSearch.OFSSKUClassSearchResponse;
import com.hzya.frame.ttxofs.dto.ofsBaseSearch.OFSSKUSearchResponse;
import com.hzya.frame.ttxofs.dto.ofsBaseSearch.OfsShopReturnMessageDto;
import com.hzya.frame.ttxofs.dto.ofsBaseSearch.OfsSupplierReturnMessageDto;
import com.hzya.frame.ttxofs.dto.ofsTransferOrderSearch.OFSAdjustOrderSearchResponse;
import com.hzya.frame.ttxofs.dto.ofsTransferOrderSearch.OFSTranseferOrderSearchResponse;
import com.hzya.frame.ttxofs.dto.ofspoorder.OfsPoOrderBean;
import com.hzya.frame.ttxofs.dto.ofspurchasereturnorder.PurchaseReturnOrderBean;
import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.SaleOutReturnMessageDto;
import com.hzya.frame.ttxofs.dto.ofssalesordersearch.SaleOrderMessageDto;
import com.hzya.frame.ttxofs.dto.returngoodordersearch.RerturnGoodsOrderSearchJsonRootBean;
import com.hzya.frame.ttxofs.dto.stock.StockinOrderSearchResponse;

import java.util.HashMap;
import java.util.Map;

/**
 * api与dto的对应关系
 *
 * @Author：liuyang
 * @Package：com.hzya.frame.ttxofs.basics
 * @Project：kangarooDataCenterV3
 * @name：CacheMap
 * @Date：2024/7/30 11:51
 * @Filename：CacheMap
 */
public class ApiDtoCacheMap {

    public static final Map<String, ReturnMessageBasics> apiDtoCacheMap = new HashMap();

    static {
        apiDtoCacheMap.put("ofs.salesOrder.search", new SaleOrderMessageDto());
        apiDtoCacheMap.put("ofs.shipment.search", new SaleOutReturnMessageDto());
        apiDtoCacheMap.put("ofs.receipt.search", new StockinOrderSearchResponse());//入库单查询
        apiDtoCacheMap.put("ofs.transferOrder.search", new OFSTranseferOrderSearchResponse());//调拨订单

        apiDtoCacheMap.put("ofs.store.search", new OfsShopReturnMessageDto());//店铺查询
        apiDtoCacheMap.put("ofs.vendor.search", new OfsSupplierReturnMessageDto());//店铺查询

        apiDtoCacheMap.put("ofs.sku.search", new OFSSKUSearchResponse());//OFS存货档案查询接口
        apiDtoCacheMap.put("ofs.inventory.class.search", new OFSSKUClassSearchResponse());//OFS存货分类查询接口

        apiDtoCacheMap.put("ofs.actual.bom.search", new OfsKitOrderSearchResponse());//OFS实物组套查询接口

        apiDtoCacheMap.put("ofs.returnOrder.search", new RerturnGoodsOrderSearchJsonRootBean());//售后订单

        apiDtoCacheMap.put("ofs.purchaseOrder.search", new OfsPoOrderBean());//采购订单
        apiDtoCacheMap.put("ofs.purchaseReturnOrder.search", new PurchaseReturnOrderBean());//采退订单
        apiDtoCacheMap.put("ofs.adjustOrder.search", new OFSAdjustOrderSearchResponse());//调整单
    }
}
